Utils = {};

function Utils.StringJoin(separator, ...)
    local args = {...};
    local notNull = F.Filter(args, function(value)
        return value ~= nil;
    end);
    local strings = F.Map(notNull, function(value)
        return tostring(value);
    end)

    return strjoin(separator, unpack(strings));
end
