Log = {};

function Log.l(prefix, ...)
    local text = Utils.StringJoin(" ", ...);
    print("[" .. prefix .. "] " .. text);
end

function Log.t(...)
    if AGN_CONFIG.trace ~= true then return; end
    Log.l("TRACE", ...);
end

function Log.d(...)
    if AGN_CONFIG.debug ~= true then return; end
    Log.l("DEBUG", ...);
end

function Log.i(...)
    Log.l("INFO", ...);
end

function Log.e(...)
    Log.l("ERROR", ...);
end
